Hardware and Software Requirements Updates!

Our tech team just finished a major system update and from this semester on, all of our teachers and students are welcomed to enjoy a much smoother, reliable and user-friendly online learning system. We therefore highly recommend an immediate update to the newest version of whatever browser you are using as well as the most up-to-date flash plug-in when participate in our online live conferences (for some operating systems, the plug-ins needed to run live conferences will be downloaded and installed automatically).


Currently, the following versions of Flash and popular web browsers are supported.

·         Internet Explorer 11 and Edge

·         Chrome 58

·         Safari 8 and 9

·         Firefox 46 and 47 (Extended Releases are not supported)

·         Flash 20 and 21


© 2017 by IAC Education Inc.

Top